package org.springblade.estate.feign;

import org.springblade.estate.entity.WorkOrder;
import org.springblade.estate.vo.WorkOrderVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class WorkOrderClientFallback implements IWorkOrderClient {
            /**
         * 详情
         */
        @Override
        public WorkOrderVO detail(WorkOrder workOrder) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<WorkOrderVO> list(WorkOrder workOrder) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( WorkOrder workOrder) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( WorkOrder workOrder) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( WorkOrder workOrder) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
